petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerHDF5ReadAttribute

Read a scalar attribute

### Synopsis

    #include "petscsys.h"
    #include "petscviewerhdf5.h"
    PetscErrorCode PetscViewerHDF5ReadAttribute(PetscViewer viewer, const char parent[], const char name[], PetscDataType datatype, void *value)

### Input Parameters

| viewer | - The HDF5 viewer
| parent | - The parent name
| name | - The attribute name
| datatype | - The attribute type

### Output Parameter

value -The attribute value

### See Also

PetscViewerHDF5Open(), PetscViewerHDF5WriteAttribute(), PetscViewerHDF5HasAttribute()

### Level

advanced

### Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages